Skip to main content
POST
/
v2
/
companies
/
contacts
Bulk Contacts
curl --request POST \
  --url https://api.bizzy.ai/v2/companies/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {
    "q": "<string>",
    "onlyOfficialRoles": true,
    "seniorities": "<string>",
    "departments": "<string>",
    "officialRoles": "<string>"
  },
  "limit": 123,
  "offset": 123
}
'
[
  {
    "identifier": {
        "countryCode": "BE",
        "companyId": "1778186251",
        "name": "Bizzy ",
    },
    "data": [
        {
            "identifier": {
                "contactId": "1740201639",
                "firstName": "Steve",
                "lastName": "Declercq"
            }
        },
        {
            "identifier": {
                "contactId": "1280731968",
                "firstName": "Hendrik",
                "lastName": "Keeris"
            }
        },
        {
            "identifier": {
                "contactId": "1858956880",
                "firstName": "David",
                "lastName": "Du Pré"
            }
        },
        {
            "identifier": {
                "contactId": "1122224600",
                "firstName": "Piet",
                "lastName": "Casneuf"
            }
        }
    ],
    "pagination": {
        "limit": 4,
        "offset": 0,
        "total": 39
    },
    "message": null
  },
  { // Example error
    "identifier": {
        "countryCode": "BE",
        "companyId": "123",
        "name": ""
    },
    "data": null,
    "pagination": null,
    "message": "Company not found"
  }
]

Request

Accept-Language
string
default:"EN"
  • NL: Dutch - FR: French - EN: English

Body

companies
array
You can request up to 100 companies at once.
filters
object
limit
number
default:"4"
Number of items to return per page. (max 500)
offset
number
default:"0"
Number of items to skip. companies.length x limit may not exceed 500.

Response

The same limit and offset are shared over all companies.
Warning: While it is possible for contactId values to change, this will not happen often and should not occur regularly.

However, it is important not to rely solely on contactId values in your workflows, as they could fluctuate in the future.

For more consistent results, consider using other identifiers or attributes when working with contacts.
[
  {
    "identifier": {
        "countryCode": "BE",
        "companyId": "1778186251",
        "name": "Bizzy ",
    },
    "data": [
        {
            "identifier": {
                "contactId": "1740201639",
                "firstName": "Steve",
                "lastName": "Declercq"
            }
        },
        {
            "identifier": {
                "contactId": "1280731968",
                "firstName": "Hendrik",
                "lastName": "Keeris"
            }
        },
        {
            "identifier": {
                "contactId": "1858956880",
                "firstName": "David",
                "lastName": "Du Pré"
            }
        },
        {
            "identifier": {
                "contactId": "1122224600",
                "firstName": "Piet",
                "lastName": "Casneuf"
            }
        }
    ],
    "pagination": {
        "limit": 4,
        "offset": 0,
        "total": 39
    },
    "message": null
  },
  { // Example error
    "identifier": {
        "countryCode": "BE",
        "companyId": "123",
        "name": ""
    },
    "data": null,
    "pagination": null,
    "message": "Company not found"
  }
]